/*
 * Class BOX [BOOLEAN]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_368 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_368 [] = {0xFF01,237,367,191,0xFFFF};
static const EIF_TYPE_INDEX egt_2_368 [] = {0xFF01,367,191,0xFFFF};
static const EIF_TYPE_INDEX egt_3_368 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_368 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_368 [] = {0xFF01,367,191,0xFFFF};
static const EIF_TYPE_INDEX egt_6_368 [] = {0xFF01,367,191,0xFFFF};
static const EIF_TYPE_INDEX egt_7_368 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_368 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_368 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_368 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_368 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_368 [] = {367,191,0xFFFF};
static const EIF_TYPE_INDEX egt_13_368 [] = {0xFF01,367,191,0xFFFF};
static const EIF_TYPE_INDEX egt_14_368 [] = {0xFF01,360,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_368 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_368[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_368), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_368), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_368), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_368), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_368), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_368), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_368), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_368), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_368), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_368), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_368), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_368), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_368), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_368), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1860, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1861, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1862, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1863, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1864, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_368), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_368), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
};
void Init368(void)
{
	IDSC(desc_368, 0, 367);
	IDSC(desc_368 + 1, 1, 367);
	IDSC(desc_368 + 32, 77, 367);
	IDSC(desc_368 + 41, 35, 367);
}


#ifdef __cplusplus
}
#endif
